/* game-gamedetailcrash razor-escaped style 1 */
.searchinput {
        position: relative;
    }

    .search-icon-game {
        position: absolute;
        left: 25px;
        top: 50%;
        transform: translateY(-50%);
        z-index: 10;
        color: #777;
        font-size: 16px;
    }

    #s {
        width: 100%;
        height: 48px;
        border-radius: 12px;
        border: none;
        outline: none;
        padding-left: 45px;
        background: #fff !important;
        color: #000 !important;
        font-size: 14px;
    }

        #s::placeholder {
            color: #777;
        }

    .game-row {
        row-gap: 20px;
    }

    .room-card {
        padding: 6px;
    }

    .game-card {
        scroll-snap-align: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        text-decoration: none;
        width: 100%;
    }

    .game-image-wrapper {
        width: 100%;
        border-radius: 12px;
        overflow: hidden;
    }

    .game-image {
        width: 100%;
        height: auto;
        display: block;
        border-radius: 12px;
        transition: .25s ease;
    }

    .game-card:hover .game-image {
        transform: scale(1.03);
    }

    .game-name {
        margin-top: 10px;
        text-align: center;
        color: white;
        font-size: 14px;
        font-weight: 600;
        line-height: 1.3;
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    @media(max-width:768px) {

        .room-card {
            padding: 5px;
        }

        .game-name {
            font-size: 12px;
        }
    }
